AUICH(4)

NAME
auich - Intel ICH integrated AC'97 audio device

SYNOPSIS
auich* at pci? flags 0x0000
audio* at auich?

DESCRIPTION
The auich driver provides support for the integrated AC'97 audio controller present on the Intel ICH I/O controller hub and compatible chipsets.

Supported chipsets:

•   AMD 768, 8111
•   Intel 6300ESB/6321ESB
•   Intel 82440MX
•   Intel 82801 (ICH, ICH0, ICH2, ICH3, ICH4, ICH5, ICH6, ICH7)
•   NVIDIA nForce, nForce2, nForce3, nForce4
•   SiS 7012

The auich DMA engine supports full-duplex operation and has separate channels for line input and microphone. Unfortunately, simultaneous recording from both line and microphone inputs is not supported due to the current ac97(4) design. Setting flags to 0x0001 will compensate for machines that have reversed stereo.

SEE ALSO
ac97(4), audio(4), intro(4), pci(4)

HISTORY
The auich device driver appeared in OpenBSD 2.8.

CAVEATS
Some hardware implementations only support 48kHz sampling rates.